curl --location 'https://api.ygo.ai/v2/project/content/saveTextTemplate' \
--header 'X-Project-ID: ' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"TemplateKey": "summary",
"Name": "Hotel Summary",
"EntityType": "hotel",
"Description": "Short marketing summary shown at the top of the hotel page.",
"Instruction": "Write a concise, factual two-sentence summary highlighting the hotel'\''s location, standout amenity, and overall character. Avoid superlatives.",
"LocaleInstructions": {
"de-DE": "Schreibe eine sachliche Zusammenfassung in zwei Saetzen und verwende die Sie-Form."
},
"Status": "active",
"RenderLayout": "prose"
}'{
"Data": {
"ID": "0192fb40-1aa2-7def-9abc-1122334455aa",
"ProjectID": "0192fb00-0000-7000-8000-000000000001",
"TemplateKey": "summary",
"Name": "Hotel Summary",
"EntityType": "hotel",
"Description": "Short marketing summary shown at the top of the hotel page.",
"Instruction": "Write a concise, factual two-sentence summary highlighting the hotel's location, standout amenity, and overall character. Avoid superlatives.",
"LocaleInstructions": {
"de-DE": "Schreibe eine sachliche Zusammenfassung in zwei Saetzen und verwende die Sie-Form."
},
"Status": "active",
"RenderLayout": "prose",
"CreatedAt": "2026-04-12T09:15:00Z",
"UpdatedAt": "2026-04-12T09:15:00Z"
}
}